Bug 18045 - Reserves.t can fail because of caching issues
Summary: Reserves.t can fail because of caching issues
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on: 13113
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-03 09:14 UTC by Jonathan Druart
Modified: 2017-02-19 20:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18045: Fix Reserves.t tests - caching issues (3.54 KB, patch)
2017-02-03 09:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18045: Fix Reserves.t tests - caching issues (3.77 KB, patch)
2017-02-03 10:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18045: Fix Reserves.t tests - caching issues (3.78 KB, patch)
2017-02-15 13:29 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-02-03 09:14:16 UTC

    
Comment 1 Jonathan Druart 2017-02-03 09:18:41 UTC
Created attachment 59858 [details] [review]
Bug 18045: Fix Reserves.t tests - caching issues

If the cache has to be cleaned when marc structure is updated.

Before this patch, if the age restriction was not mapped, Reserves.t
failed with:
  Tag "" is not a valid tag. at t/db_dependent/Reserves.t line 523.

Test plan:
Just confirm that the tests still pass and that the changes make sense.
Comment 2 Marcel de Rooy 2017-02-03 10:43:35 UTC
Created attachment 59868 [details] [review]
Bug 18045: Fix Reserves.t tests - caching issues

If the cache has to be cleaned when marc structure is updated.

Before this patch, if the age restriction was not mapped, Reserves.t
failed with:
  Tag "" is not a valid tag. at t/db_dependent/Reserves.t line 523.

Test plan:
Just confirm that the tests still pass and that the changes make sense.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
It seems that only removing the key MarcSubfieldStructure- should be
enough, but it does not hurt either to remove those four keys.
Comment 3 Nick Clemens 2017-02-15 13:29:36 UTC
Created attachment 60255 [details] [review]
Bug 18045: Fix Reserves.t tests - caching issues

If the cache has to be cleaned when marc structure is updated.

Before this patch, if the age restriction was not mapped, Reserves.t
failed with:
  Tag "" is not a valid tag. at t/db_dependent/Reserves.t line 523.

Test plan:
Just confirm that the tests still pass and that the changes make sense.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
It seems that only removing the key MarcSubfieldStructure- should be
enough, but it does not hurt either to remove those four keys.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2017-02-17 11:34:11 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-02-19 20:07:09 UTC
This patch has been pushed to 16.11.x and will be in 16.11.04.